/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<block.h>)
#  include <block.h>
#endif
#if __has_include(<blocktype.h>)
#  include <blocktype.h>
#endif
#if __has_include(<chatbarcache.h>)
#  include <chatbarcache.h>
#endif
#if __has_include(<chatbartype.h>)
#  include <chatbartype.h>
#endif
#if __has_include(<chatkeyhelper.h>)
#  include <chatkeyhelper.h>
#endif
#if __has_include(<chattextitemhelper.h>)
#  include <chattextitemhelper.h>
#endif
#if __has_include(<clipboard.h>)
#  include <clipboard.h>
#endif
#if __has_include(<completionmodel.h>)
#  include <completionmodel.h>
#endif
#if __has_include(<customemojimodel.h>)
#  include <customemojimodel.h>
#endif
#if __has_include(<delegatesizehelper.h>)
#  include <delegatesizehelper.h>
#endif
#if __has_include(<emojimodel.h>)
#  include <emojimodel.h>
#endif
#if __has_include(<fileinfo.h>)
#  include <fileinfo.h>
#endif
#if __has_include(<filetype.h>)
#  include <filetype.h>
#endif
#if __has_include(<imagepacksmodel.h>)
#  include <imagepacksmodel.h>
#endif
#if __has_include(<itinerarymodel.h>)
#  include <itinerarymodel.h>
#endif
#if __has_include(<linkpreviewer.h>)
#  include <linkpreviewer.h>
#endif
#if __has_include(<livelocationsmodel.h>)
#  include <livelocationsmodel.h>
#endif
#if __has_include(<locationsmodel.h>)
#  include <locationsmodel.h>
#endif
#if __has_include(<messagetype.h>)
#  include <messagetype.h>
#endif
#if __has_include(<neochatconnection.h>)
#  include <neochatconnection.h>
#endif
#if __has_include(<neochatdatetime.h>)
#  include <neochatdatetime.h>
#endif
#if __has_include(<neochatroom.h>)
#  include <neochatroom.h>
#endif
#if __has_include(<neochatroommember.h>)
#  include <neochatroommember.h>
#endif
#if __has_include(<pollanswermodel.h>)
#  include <pollanswermodel.h>
#endif
#if __has_include(<pollblock.h>)
#  include <pollblock.h>
#endif
#if __has_include(<pollevent.h>)
#  include <pollevent.h>
#endif
#if __has_include(<powerlevel.h>)
#  include <powerlevel.h>
#endif
#if __has_include(<profilefieldshelper.h>)
#  include <profilefieldshelper.h>
#endif
#if __has_include(<pushrule.h>)
#  include <pushrule.h>
#endif
#if __has_include(<reactionmodel.h>)
#  include <reactionmodel.h>
#endif
#if __has_include(<richformat.h>)
#  include <richformat.h>
#endif
#if __has_include(<roomlistmodel.h>)
#  include <roomlistmodel.h>
#endif
#if __has_include(<roomsortorder.h>)
#  include <roomsortorder.h>
#endif
#if __has_include(<roomsortparameter.h>)
#  include <roomsortparameter.h>
#endif
#if __has_include(<spacehierarchycache.h>)
#  include <spacehierarchycache.h>
#endif
#if __has_include(<stickermodel.h>)
#  include <stickermodel.h>
#endif
#if __has_include(<timelinemarkreadcondition.h>)
#  include <timelinemarkreadcondition.h>
#endif
#if __has_include(<timezonemodel.h>)
#  include <timezonemodel.h>
#endif
#if __has_include(<urlhelper.h>)
#  include <urlhelper.h>
#endif
#if __has_include(<userfiltermodel.h>)
#  include <userfiltermodel.h>
#endif
#if __has_include(<userlistmodel.h>)
#  include <userlistmodel.h>
#endif
#if __has_include(<utils.h>)
#  include <utils.h>
#endif
#if __has_include(<voicerecorder.h>)
#  include <voicerecorder.h>
#endif
#if __has_include(<widgetmodel.h>)
#  include <widgetmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat_libneochat()
{
    qmlRegisterModule("org.kde.neochat.libneochat", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    {
        Q_CONSTINIT static auto metaType = QQmlPrivate::metaTypeForNamespace(
            [](const QtPrivate::QMetaTypeInterface *) {return &Blocks::staticMetaObject;},
            "Blocks");
        QMetaType(&metaType).id();
    }
    qmlRegisterNamespaceAndRevisions(&Blocks::staticMetaObject, "org.kde.neochat.libneochat", 254, nullptr, &Blocks::staticMetaObject, nullptr);
    qmlRegisterEnum<Blocks::Type>("Blocks::Type");
    qmlRegisterTypesAndRevisions<Blocks::AudioBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::AudioInfo>("org.kde.neochat.libneochat", 254);
    QMetaType::fromType<Blocks::AudioInfo *>().id();
    qmlRegisterTypesAndRevisions<Blocks::BasicTextBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::Block>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::ChatBarBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::CodeBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::FileBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::FileInfo>("org.kde.neochat.libneochat", 254);
    QMetaType::fromType<Blocks::FileInfo *>().id();
    qmlRegisterTypesAndRevisions<Blocks::ImageBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::ImageInfo>("org.kde.neochat.libneochat", 254);
    QMetaType::fromType<Blocks::ImageInfo *>().id();
    qmlRegisterTypesAndRevisions<Blocks::ItineraryBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::LinkPreviewBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::LocationBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::PollAnswerModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<Blocks::PollAnswerModel::Roles>("Blocks::PollAnswerModel::Roles");
    qmlRegisterTypesAndRevisions<Blocks::PollBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::ReactionBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::ReplyBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::TextBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::UrlBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::VideoBlock>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Blocks::VideoInfo>("org.kde.neochat.libneochat", 254);
    QMetaType::fromType<Blocks::VideoInfo *>().id();
    qmlRegisterTypesAndRevisions<ChatBarCache>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<ChatBarCache::RelationType>("ChatBarCache::RelationType");
    qmlRegisterTypesAndRevisions<ChatBarType>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<ChatBarType::Type>("ChatBarType::Type");
    qmlRegisterTypesAndRevisions<ChatKeyHelper>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<ChatTextItemHelper>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<Clipboard>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<CompletionModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<CompletionModel::AutoCompletionType>("CompletionModel::AutoCompletionType");
    qmlRegisterEnum<CompletionModel::Roles>("CompletionModel::Roles");
    qmlRegisterTypesAndRevisions<CustomEmojiModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<CustomEmojiModel::Roles>("CustomEmojiModel::Roles");
    qmlRegisterTypesAndRevisions<DelegateSizeHelper>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<EmojiModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<EmojiModel::RoleNames>("EmojiModel::RoleNames");
    qmlRegisterEnum<EmojiModel::Category>("EmojiModel::Category");
    qmlRegisterTypesAndRevisions<FileType>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<FileType::MatchMode>("FileType::MatchMode");
    qmlRegisterTypesAndRevisions<ImagePacksModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<ImagePacksModel::Roles>("ImagePacksModel::Roles");
    qmlRegisterTypesAndRevisions<ItineraryModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<ItineraryModel::Roles>("ItineraryModel::Roles");
    qmlRegisterTypesAndRevisions<LinkPreviewer>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<LiveLocationsModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<LiveLocationsModel::Roles>("LiveLocationsModel::Roles");
    qmlRegisterTypesAndRevisions<LocationsModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<LocationsModel::Roles>("LocationsModel::Roles");
    qmlRegisterTypesAndRevisions<MessageType>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<MessageType::Type>("MessageType::Type");
    qmlRegisterTypesAndRevisions<NeoChatConnection>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<NeoChatConnection::PasswordStatus>("NeoChatConnection::PasswordStatus");
    qmlRegisterTypesAndRevisions<NeoChatDateTime>("org.kde.neochat.libneochat", 254);
    QMetaType::fromType<NeoChatDateTime *>().id();
    qmlRegisterTypesAndRevisions<NeoChatRoom>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<NeochatRoomMember>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<PollKind>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<PollKind::Kind>("PollKind::Kind");
    qmlRegisterTypesAndRevisions<PowerLevel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<PowerLevel::Level>("PowerLevel::Level");
    qmlRegisterTypesAndRevisions<PowerLevelModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<PowerLevelModel::Roles>("PowerLevelModel::Roles");
    qmlRegisterTypesAndRevisions<ProfileFieldsHelper>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<PushNotificationState>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<PushNotificationState::State>("PushNotificationState::State");
    qmlRegisterTypesAndRevisions<PushRuleAction>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<PushRuleAction::Action>("PushRuleAction::Action");
    qmlRegisterTypesAndRevisions<PushRuleKind>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<PushRuleKind::Kind>("PushRuleKind::Kind");
    qmlRegisterTypesAndRevisions<PushRuleSection>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<PushRuleSection::Section>("PushRuleSection::Section");
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<QmlUtils>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<ReactionModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<RichFormat>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<RichFormat::Format>("RichFormat::Format");
    qmlRegisterEnum<RichFormat::FormatType>("RichFormat::FormatType");
    qmlRegisterTypesAndRevisions<RoomListModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<RoomListModel::EventRoles>("RoomListModel::EventRoles");
    qmlRegisterTypesAndRevisions<RoomSortOrder>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<RoomSortOrder::Order>("RoomSortOrder::Order");
    qmlRegisterTypesAndRevisions<RoomSortParameter>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<RoomSortParameter::Parameter>("RoomSortParameter::Parameter");
    qmlRegisterTypesAndRevisions<SpaceHierarchyCache>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<StickerModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<TimeZoneModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<TimelineMarkReadCondition>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<TimelineMarkReadCondition::Condition>("TimelineMarkReadCondition::Condition");
    qmlRegisterTypesAndRevisions<UrlHelper>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<UserFilterModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<UserListModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<UserListModel::EventRoles>("UserListModel::EventRoles");
    qmlRegisterTypesAndRevisions<VoiceRecorder>("org.kde.neochat.libneochat", 254);
    qmlRegisterTypesAndRevisions<WidgetModel>("org.kde.neochat.libneochat", 254);
    qmlRegisterEnum<WidgetModel::Roles>("WidgetModel::Roles");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat.libneochat", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochatlibneochatRegistration("org.kde.neochat.libneochat", qml_register_types_org_kde_neochat_libneochat);
